<?php
namespace App\Models;
use CodeIgniter\Model;

class EmpleoModel extends Model
{
    protected $table      = 'empleos';
    protected $primaryKey = 'id';
    protected $useTimestamps = false;

    protected $allowedFields = [
        'empresas_id', 'titulo', 'descripcion',
        'ubicacion', 'salario_min', 'salario_max',
        'salario_visible', 'modalidad', 'estado', 'fecha_cierre'
    ];

    public function getEmpleosActivos()
    {
        return $this->db->query("
            SELECT e.*, emp.nombre_empresa, emp.logo_url
            FROM empleos e
            JOIN empresas emp ON e.empresas_id = emp.id
            WHERE e.estado = 'activo'
            ORDER BY e.fecha_publicacion DESC
        ")->getResultArray();
    }

    public function getEmpleosEmpresa($empresas_id)
    {
        return $this->where('empresas_id', $empresas_id)
                    ->orderBy('fecha_publicacion', 'DESC')
                    ->findAll();
    }
}